Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.app.params
Class ContactCenterEvalResultsParams

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.app.params.ContactCenterEvalResultsParams

Direct Known Subclasses:
  ContactCenterSimResultsParams

    public class ContactCenterEvalResultsParams

extends Object

Represents results obtained by performing some type of evaluation on a contact center.

Field Summary
`protected List<Named>` | `agentGroups`
`protected List<Named>` | `agentGroupSegments`
`protected List<Named>` | `contactTypeSegments`
`protected TimeUnitParam` | `defaultUnit`
`protected PropertiesParams` | `evalInfo`
`protected List<Named>` | `inboundTypes`
`protected List<Named>` | `inboundTypeSegments`
`protected List<Named>` | `matricesOfAWT`
`protected Integer` | `numMatricesOfAWT`
`protected List<Named>` | `outboundTypes`
`protected List<Named>` | `outboundTypeSegments`
`protected List<PMMatrix>` | `performanceMeasureMatrices`
`protected List<Named>` | `periods`
`protected List<Named>` | `periodSegments`
`protected ReportParams` | `report`
`protected List<Named>` | `waitingQueues`
`protected List<Named>` | `waitingQueueSegments`

Constructor Summary
`ContactCenterEvalResultsParams()`

Method Summary
`List<Named>` | `getAgentGroups()` Gets the value of the agentGroups property.
`List<Named>` | `getAgentGroupSegments()` Gets the value of the agentGroupSegments property.
`List<Named>` | `getContactTypeSegments()` Gets the value of the contactTypeSegments property.
`TimeUnitParam` | `getDefaultUnit()` Gets the value of the defaultUnit property.
`PropertiesParams` | `getEvalInfo()` Gets the value of the evalInfo property.
`List<Named>` | `getInboundTypes()` Gets the value of the inboundTypes property.
`List<Named>` | `getInboundTypeSegments()` Gets the value of the inboundTypeSegments property.
`List<Named>` | `getMatricesOfAWT()` Gets the value of the matricesOfAWT property.
`int` | `getNumMatricesOfAWT()` Gets the value of the numMatricesOfAWT property.
`List<Named>` | `getOutboundTypes()` Gets the value of the outboundTypes property.
`List<Named>` | `getOutboundTypeSegments()` Gets the value of the outboundTypeSegments property.
`List<PMMatrix>` | `getPerformanceMeasureMatrices()` Gets the value of the performanceMeasureMatrices property.
`List<Named>` | `getPeriods()` Gets the value of the periods property.
`List<Named>` | `getPeriodSegments()` Gets the value of the periodSegments property.
`ReportParams` | `getReport()` Gets the value of the report property.
`List<Named>` | `getWaitingQueues()` Gets the value of the waitingQueues property.
`List<Named>` | `getWaitingQueueSegments()` Gets the value of the waitingQueueSegments property.
`boolean` | `isSetAgentGroups()`
`boolean` | `isSetAgentGroupSegments()`
`boolean` | `isSetContactTypeSegments()`
`boolean` | `isSetDefaultUnit()`
`boolean` | `isSetEvalInfo()`
`boolean` | `isSetInboundTypes()`
`boolean` | `isSetInboundTypeSegments()`
`boolean` | `isSetMatricesOfAWT()`
`boolean` | `isSetNumMatricesOfAWT()`
`boolean` | `isSetOutboundTypes()`
`boolean` | `isSetOutboundTypeSegments()`
`boolean` | `isSetPerformanceMeasureMatrices()`
`boolean` | `isSetPeriods()`
`boolean` | `isSetPeriodSegments()`
`boolean` | `isSetReport()`
`boolean` | `isSetWaitingQueues()`
`boolean` | `isSetWaitingQueueSegments()`
`void` | `setDefaultUnit(TimeUnitParam value)` Sets the value of the defaultUnit property.
`void` | `setEvalInfo(PropertiesParams value)` Sets the value of the evalInfo property.
`void` | `setNumMatricesOfAWT(int value)` Sets the value of the numMatricesOfAWT property.
`void` | `setReport(ReportParams value)` Sets the value of the report property.
`void` | `unsetAgentGroups()`
`void` | `unsetAgentGroupSegments()`
`void` | `unsetContactTypeSegments()`
`void` | `unsetInboundTypes()`
`void` | `unsetInboundTypeSegments()`
`void` | `unsetMatricesOfAWT()`
`void` | `unsetNumMatricesOfAWT()`
`void` | `unsetOutboundTypes()`
`void` | `unsetOutboundTypeSegments()`
`void` | `unsetPerformanceMeasureMatrices()`
`void` | `unsetPeriods()`
`void` | `unsetPeriodSegments()`
`void` | `unsetWaitingQueues()`
`void` | `unsetWaitingQueueSegments()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### evalInfo

    protected PropertiesParams evalInfo

### report

    protected ReportParams report

### inboundTypes

    protected List<Named> inboundTypes

### outboundTypes

    protected List<Named> outboundTypes

### agentGroups

    protected List<Named> agentGroups

### waitingQueues

    protected List<Named> waitingQueues

### periods

    protected List<Named> periods

### inboundTypeSegments

    protected List<Named> inboundTypeSegments

### outboundTypeSegments

    protected List<Named> outboundTypeSegments

### contactTypeSegments

    protected List<Named> contactTypeSegments

### waitingQueueSegments

    protected List<Named> waitingQueueSegments

### agentGroupSegments

    protected List<Named> agentGroupSegments

### periodSegments

    protected List<Named> periodSegments

### matricesOfAWT

    protected List<Named> matricesOfAWT

### performanceMeasureMatrices

    protected List<PMMatrix> performanceMeasureMatrices

### defaultUnit

    protected TimeUnitParam defaultUnit

### numMatricesOfAWT

    protected Integer numMatricesOfAWT

Constructor Detail

### ContactCenterEvalResultsParams

    public ContactCenterEvalResultsParams()

Method Detail

### getEvalInfo

    public PropertiesParams getEvalInfo()

  Gets the value of the evalInfo property.

  Returns:
    possible object is `PropertiesParams`

### setEvalInfo

    public void setEvalInfo(PropertiesParams value)

  Sets the value of the evalInfo property.

  Parameters:
    `value` - allowed object is `PropertiesParams`

### isSetEvalInfo

    public boolean isSetEvalInfo()

### getReport

    public ReportParams getReport()

  Gets the value of the report property.

  Returns:
    possible object is `ReportParams`

### setReport

    public void setReport(ReportParams value)

  Sets the value of the report property.

  Parameters:
    `value` - allowed object is `ReportParams`

### isSetReport

    public boolean isSetReport()

### getInboundTypes

    public List<Named> getInboundTypes()

  Gets the value of the inboundTypes property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the inboundTypes property.

  For example, to add a new item, do as follows:

          getInboundTypes().add(newItem);

  Objects of the following type(s) are allowed in the list `Named`

### isSetInboundTypes

    public boolean isSetInboundTypes()

### unsetInboundTypes

    public void unsetInboundTypes()

### getOutboundTypes

    public List<Named> getOutboundTypes()

  Gets the value of the outboundTypes property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the outboundTypes property.

  For example, to add a new item, do as follows:

          getOutboundTypes().add(newItem);

  Objects of the following type(s) are allowed in the list `Named`

### isSetOutboundTypes

    public boolean isSetOutboundTypes()

### unsetOutboundTypes

    public void unsetOutboundTypes()

### getAgentGroups

    public List<Named> getAgentGroups()

  Gets the value of the agentGroups property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the agentGroups property.

  For example, to add a new item, do as follows:

          getAgentGroups().add(newItem);

  Objects of the following type(s) are allowed in the list `Named`

### isSetAgentGroups

    public boolean isSetAgentGroups()

### unsetAgentGroups

    public void unsetAgentGroups()

### getWaitingQueues

    public List<Named> getWaitingQueues()

  Gets the value of the waitingQueues property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the waitingQueues property.

  For example, to add a new item, do as follows:

          getWaitingQueues().add(newItem);

  Objects of the following type(s) are allowed in the list `Named`

### isSetWaitingQueues

    public boolean isSetWaitingQueues()

### unsetWaitingQueues

    public void unsetWaitingQueues()

### getPeriods

    public List<Named> getPeriods()

  Gets the value of the periods property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the periods property.

  For example, to add a new item, do as follows:

          getPeriods().add(newItem);

  Objects of the following type(s) are allowed in the list `Named`

### isSetPeriods

    public boolean isSetPeriods()

### unsetPeriods

    public void unsetPeriods()

### getInboundTypeSegments

    public List<Named> getInboundTypeSegments()

  Gets the value of the inboundTypeSegments property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the inboundTypeSegments property.

  For example, to add a new item, do as follows:

          getInboundTypeSegments().add(newItem);

  Objects of the following type(s) are allowed in the list `Named`

### isSetInboundTypeSegments

    public boolean isSetInboundTypeSegments()

### unsetInboundTypeSegments

    public void unsetInboundTypeSegments()

### getOutboundTypeSegments

    public List<Named> getOutboundTypeSegments()

  Gets the value of the outboundTypeSegments property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the outboundTypeSegments property.

  For example, to add a new item, do as follows:

          getOutboundTypeSegments().add(newItem);

  Objects of the following type(s) are allowed in the list `Named`

### isSetOutboundTypeSegments

    public boolean isSetOutboundTypeSegments()

### unsetOutboundTypeSegments

    public void unsetOutboundTypeSegments()

### getContactTypeSegments

    public List<Named> getContactTypeSegments()

  Gets the value of the contactTypeSegments property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the contactTypeSegments property.

  For example, to add a new item, do as follows:

          getContactTypeSegments().add(newItem);

  Objects of the following type(s) are allowed in the list `Named`

### isSetContactTypeSegments

    public boolean isSetContactTypeSegments()

### unsetContactTypeSegments

    public void unsetContactTypeSegments()

### getWaitingQueueSegments

    public List<Named> getWaitingQueueSegments()

  Gets the value of the waitingQueueSegments property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the waitingQueueSegments property.

  For example, to add a new item, do as follows:

          getWaitingQueueSegments().add(newItem);

  Objects of the following type(s) are allowed in the list `Named`

### isSetWaitingQueueSegments

    public boolean isSetWaitingQueueSegments()

### unsetWaitingQueueSegments

    public void unsetWaitingQueueSegments()

### getAgentGroupSegments

    public List<Named> getAgentGroupSegments()

  Gets the value of the agentGroupSegments property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the agentGroupSegments property.

  For example, to add a new item, do as follows:

          getAgentGroupSegments().add(newItem);

  Objects of the following type(s) are allowed in the list `Named`

### isSetAgentGroupSegments

    public boolean isSetAgentGroupSegments()

### unsetAgentGroupSegments

    public void unsetAgentGroupSegments()

### getPeriodSegments

    public List<Named> getPeriodSegments()

  Gets the value of the periodSegments property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the periodSegments property.

  For example, to add a new item, do as follows:

          getPeriodSegments().add(newItem);

  Objects of the following type(s) are allowed in the list `Named`

### isSetPeriodSegments

    public boolean isSetPeriodSegments()

### unsetPeriodSegments

    public void unsetPeriodSegments()

### getMatricesOfAWT

    public List<Named> getMatricesOfAWT()

  Gets the value of the matricesOfAWT property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the matricesOfAWT property.

  For example, to add a new item, do as follows:

          getMatricesOfAWT().add(newItem);

  Objects of the following type(s) are allowed in the list `Named`

### isSetMatricesOfAWT

    public boolean isSetMatricesOfAWT()

### unsetMatricesOfAWT

    public void unsetMatricesOfAWT()

### getPerformanceMeasureMatrices

    public List<PMMatrix> getPerformanceMeasureMatrices()

  Gets the value of the performanceMeasureMatrices property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the performanceMeasureMatrices property.

  For example, to add a new item, do as follows:

          getPerformanceMeasureMatrices().add(newItem);

  Objects of the following type(s) are allowed in the list `PMMatrix`

### isSetPerformanceMeasureMatrices

    public boolean isSetPerformanceMeasureMatrices()

### unsetPerformanceMeasureMatrices

    public void unsetPerformanceMeasureMatrices()

### getDefaultUnit

    public TimeUnitParam getDefaultUnit()

  Gets the value of the defaultUnit property.

  Returns:
    possible object is `TimeUnitParam`

### setDefaultUnit

    public void setDefaultUnit(TimeUnitParam value)

  Sets the value of the defaultUnit property.

  Parameters:
    `value` - allowed object is `TimeUnitParam`

### isSetDefaultUnit

    public boolean isSetDefaultUnit()

### getNumMatricesOfAWT

    public int getNumMatricesOfAWT()

  Gets the value of the numMatricesOfAWT property.

  Returns:
    possible object is `Integer`

### setNumMatricesOfAWT

    public void setNumMatricesOfAWT(int value)

  Sets the value of the numMatricesOfAWT property.

  Parameters:
    `value` - allowed object is `Integer`

### isSetNumMatricesOfAWT

    public boolean isSetNumMatricesOfAWT()

### unsetNumMatricesOfAWT

    public void unsetNumMatricesOfAWT()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.